Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.constants
Class Scope

    java.lang.Object
      org.apache.axis.constants.Enum
          org.apache.axis.constants.Scope

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Scope

public class Scope
extends Enum

Author:
  rsitze
See Also:
  Serialized Form

Nested Class Summary
`static class` | `Scope.Type`

Field Summary
`static Scope` | `APPLICATION`
`static java.lang.String` | `APPLICATION_STR`
`static Scope` | `DEFAULT`
`static Scope` | `FACTORY`
`static java.lang.String` | `FACTORY_STR`
`static Scope` | `REQUEST`
`static java.lang.String` | `REQUEST_STR`
`static Scope` | `SESSION`
`static java.lang.String` | `SESSION_STR`

Fields inherited from class org.apache.axis.constants.Enum
`log, name, value`

Constructor Summary
`protected` | `Scope()`

Method Summary
`static Scope` | `getDefault()`
`static Scope` | `getScope(int scope)`
`static Scope` | `getScope(java.lang.String scope)`
`static Scope` | `getScope(java.lang.String scope, Scope dephault)`
`static java.lang.String[]` | `getScopes()`
`static boolean` | `isValid(java.lang.String scope)`
`static int` | `size()`

Methods inherited from class org.apache.axis.constants.Enum
`equals, equals, getName, getType, getValue, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### REQUEST_STR

    public static final java.lang.String REQUEST_STR

See Also:
  Constant Field Values

### APPLICATION_STR

    public static final java.lang.String APPLICATION_STR

See Also:
  Constant Field Values

### SESSION_STR

    public static final java.lang.String SESSION_STR

See Also:
  Constant Field Values

### FACTORY_STR

    public static final java.lang.String FACTORY_STR

See Also:
  Constant Field Values

### REQUEST

    public static final Scope REQUEST

### APPLICATION

    public static final Scope APPLICATION

### SESSION

    public static final Scope SESSION

### FACTORY

    public static final Scope FACTORY

### DEFAULT

    public static final Scope DEFAULT

Constructor Detail

### Scope

    protected Scope()

Method Detail

### getDefault

    public static Scope getDefault()

### getScope

    public static final Scope getScope(int scope)

### getScope

    public static final Scope getScope(java.lang.String scope)

### getScope

    public static final Scope getScope(java.lang.String scope,
                                       Scope dephault)

### isValid

    public static final boolean isValid(java.lang.String scope)

### size

    public static final int size()

### getScopes

    public static final java.lang.String[] getScopes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.